=== debian/changelog ===
bacula (9.4.2-2ubuntu5) focal; urgency=medium

  * d/bacula-sd.postinst: let root user modify $TMP_CONFIG file
    (LP: #1861514). Currently, the root user tries to modify the $TMP_CONFIG
    file and it gets a permission denied error because the persmission and owner
    is changed before any modification in this file is applied. Letting root
    user modify $TMP_CONFIG first and then set the permissions fix this
    installation issue.

 -- Lucas Kanashiro <lucas.kanashiro@canonical.com>  Mon, 13 Apr 2020 19:05:09 -0300

bacula (9.4.2-2ubuntu4) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:34:17 +0100

bacula (9.4.2-2ubuntu3) eoan; urgency=medium

  * d/t/backup-test: fix test failures caused by test dependency installation
    misordering by reinstalling the required database schema at the start of
    the test. This is a workaround for Debian bug 923444.
  * d/t/control: some dbconfig-common output goes to stderr. This is not a
    failure, so instruct the autopkgtest machinery accordingly.

 -- Robie Basak <robie.basak@ubuntu.com>  Wed, 28 Aug 2019 13:00:33 +0000

bacula (9.4.2-2ubuntu2) eoan; urgency=medium

  * No change rebuild for libmysqlclient21.

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Thu, 15 Aug 2019 09:32:44 +0200

bacula (9.4.2-2ubuntu1) disco; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - debian/patches/debian/mysql-8-compat: Fix compatibility with MySQL 8 by
      using bool instead of my_bool.

 -- Logan Rosen <logan@ubuntu.com>  Sun, 03 Mar 2019 15:17:26 -0500

bacula (9.4.2-2) unstable; urgency=medium

  [ Carsten Leonhardt ]
  * Update debian/copyright to include list of authors

  [ Sven Hartge ]
  * wrap-and-sort Debian control files
  * Switch to debhelper-compat virtual package

 -- Carsten Leonhardt <leo@debian.org>  Thu, 28 Feb 2019 12:05:39 +0100

bacula (9.4.2-1ubuntu1) disco; urgency=medium

  * Fix compatibility with MySQL 8 by using bool instead of my_bool.

 -- Logan Rosen <logan@ubuntu.com>  Sat, 23 Feb 2019 23:16:05 -0500

bacula (9.4.2-1) unstable; urgency=medium

  [ Carsten Leonhardt ]
  * New upstream version 9.4.2
  * Drop patches applied upstream:
      gigaslam-cppflags
      multiarch-library-path-detection
      fix-spelling
      fix-endblock-signedness-to-unsigned

  [ Sven Hartge ]
  * Set systemd.unit as Type=exec to better catch startup errors.

 -- Carsten Leonhardt <leo@debian.org>  Tue, 05 Feb 2019 00:10:15 +0100

bacula (9.4.1-2) unstable; urgency=medium

  [ Sven Hartge ]
  * Switch to dh12, now that it is marked as stable
  * Remove build-dependency libssl1.0-dev, package has been removed
    from Debian (Closes: #917340)
  * Cherry pick 25164d42d from upstream, making EndBlock unsigned to
    avoid errors on very large volumes

 -- Carsten Leonhardt <leo@debian.org>  Wed, 09 Jan 2019 16:57:14 +0100

bacula (9.4.1-1) unstable; urgency=medium

  [ Sven Hartge ]
  * New upstream version 9.4.1
  * Refresh patches

  [ Carsten Leonhardt ]
  * Updated Standards-Version to 4.3.0, no changes required.

 -- Carsten Leonhardt <leo@debian.org>  Sun, 23 Dec 2018 12:53:25 +0100

bacula (9.4.0-1) unstable; urgency=medium

  [ Carsten Leonhardt ]
  * New upstream version 9.4.0.
    This release adds WORM tape support.
    Not yet supported by this Debian release is the cloud storage plugin.

  [ Sven Hartge ]
  * Switch bacula-director-{mysql,pgsql,sqlite3,common} to
    Architecture: all, they contain no architecture-dependent files

 -- Carsten Leonhardt <leo@debian.org>  Sat, 22 Dec 2018 19:51:35 +0100

bacula (9.2.2-8) unstable; urgency=medium

  [ Sven Hartge ]
  * Use better scalable icon for the tray monitor
  * Add DEP-12 debian/upstream/metadata

  [ Carsten Leonhardt ]
  * Add lintian overrides for "unused-shlib-entry-in-control-file"
  * Stop suggesting postgresql-contrib, it's provided by postgresql itself
    nowadays

 -- Carsten Leonhardt <leo@debian.org>  Sun, 16 Dec 2018 19:51:19 +0100

bacula (9.2.2-7) unstable; urgency=medium

  [ Sven Hartge ]
  * Fix tray-monitor configuration
  * Use png format for bacula-tray-monitor icon

  [ Carsten Leonhardt ]
  * Generate bacula-tray-monitor.png from it's xpm source during build
  * Fix name of bacula-tray-monitor.conf for postrm script
    (Closes: #915784)

 -- Carsten Leonhardt <leo@debian.org>  Fri, 07 Dec 2018 16:14:56 +0100

bacula (9.2.2-6) unstable; urgency=medium

  [ Sven Hartge ]
  * Further improvements to autopkgtests

  [ Carsten Leonhardt ]
  * add lintian override for uses-dpkg-database-directly
    (cf. Bug#880529)

 -- Carsten Leonhardt <leo@debian.org>  Wed, 28 Nov 2018 09:19:55 +0100

bacula (9.2.2-5) unstable; urgency=medium

  [ Carsten Leonhardt ]
  * Add new binary package for bacula-tray-monitor

  [ Sven Hartge ]
  * Re-organization of the debian patches
  * Improve autopkgtest
    (addition of autopkgtest closes ubuntu bug lp: #1677756)

 -- Carsten Leonhardt <leo@debian.org>  Sun, 25 Nov 2018 00:46:12 +0100

bacula (9.2.2-4) unstable; urgency=medium

  [ Sven Hartge ]
  * The fix for #914254 introduced a subtle bug in the SysVinit script,
    effectively disabling the possibility to run the FD as non-root.

 -- Carsten Leonhardt <leo@debian.org>  Thu, 22 Nov 2018 14:34:06 +0100

bacula (9.2.2-3) unstable; urgency=high

  [ Sven Hartge ]
  * Regression fix for SysVinit: During a restore the FD wouldn't be able
    to set files to their original owners/groups when using parameter "-k",
    even when running as root:root, because the code removes all
    capabilities except CAP_DAC_READ_SEARCH.
    Rework the init-script to only use "-k" when the runtime user is not
    root. (Closes: #914254)

 -- Carsten Leonhardt <leo@debian.org>  Wed, 21 Nov 2018 11:53:57 +0100

bacula (9.2.2-2) unstable; urgency=medium

  [ Carsten Leonhardt ]
  * Make libtool during build non-silent as per Policy 4.9

