=== debian/control ===
Source: bacula
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Bacula Team <pkg-bacula-devel@lists.alioth.debian.org>
Uploaders: Carsten Leonhardt <leo@debian.org>
Build-Depends: autoconf,
               bc,
               debhelper-compat (= 12),
               default-libmysqlclient-dev,
               dh-exec,
               libacl1-dev,
               libcap-dev [linux-any],
               libkrb5-dev,
               liblzo2-dev,
               libpq-dev (>= 9.1),
               libreadline-dev,
               libsqlite3-dev,
               libssl-dev,
               libwrap0-dev,
               libx11-dev,
               libxt-dev,
               mtx [!hurd-any],
               pkg-config,
               po-debconf,
               postgresql-server-dev-all,
               qtbase5-dev,
               zlib1g-dev
Standards-Version: 4.3.0
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/bacula-team/bacula
Vcs-Git: https://salsa.debian.org/bacula-team/bacula.git
Homepage: http://www.bacula.org/

Package: bacula
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends: bacula-client, bacula-server, ${misc:Depends}
Description: network backup service - metapackage
 Bacula is a set of programs to manage backup, recovery and verification
 of computer data across a network of computers of different kinds.
 .
 It is efficient and relatively easy to use, while offering many advanced
 storage management features that make it easy to find and recover lost or
 damaged files. Due to its modular design, Bacula is scalable from small
 single computer systems to networks of hundreds of machines.
 .
 This metapackage installs the entire suite of Bacula applications: job
 scheduling, storage control, node connector and administrative console.

Package: bacula-common
Architecture: any
Pre-Depends: adduser, ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: bacula-common-mysql (<< 7.4.3+dfsg-3),
          bacula-common-pgsql (<< 7.4.3+dfsg-3),
          bacula-common-sqlite3 (<< 7.4.3+dfsg-3)
Breaks: bacula-common-mysql (<< 7.4.3+dfsg-3),
        bacula-common-pgsql (<< 7.4.3+dfsg-3),
        bacula-common-sqlite3 (<< 7.4.3+dfsg-3)
Suggests: gdb
Description: network backup service - common support files
 Bacula is a set of programs to manage backup, recovery and verification of
 data across a network of computers of different kinds.
 .
 This package provides files that are useful for other Bacula packages.

Package: bacula-common-sqlite3
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: bacula-common, ${misc:Depends}, ${shlibs:Depends}
Conflicts: bacula-common-mysql, bacula-common-pgsql
Description: network backup service - SQLite v3 common files
 Bacula is a set of programs to manage backup, recovery and verification of
 data across a network of computers of different kinds.
 .
 This package provides files that are useful for other Bacula packages
 for the SQLite v3 database.
 .
 Please be aware that using SQLite 3 databases is no longer supported
 by the author.

Package: bacula-common-pgsql
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: bacula-common, ${misc:Depends}, ${shlibs:Depends}
Conflicts: bacula-common-mysql, bacula-common-sqlite3
Description: network backup service - PostgreSQL common files
 Bacula is a set of programs to manage backup, recovery and verification of
 data across a network of computers of different kinds.
 .
 This package provides files that are useful for other Bacula packages
 for the PostgreSQL database.

Package: bacula-common-mysql
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: bacula-common, ${misc:Depends}, ${shlibs:Depends}
Conflicts: bacula-common-pgsql, bacula-common-sqlite3
Description: network backup service - MySQL common files
 Bacula is a set of programs to manage backup, recovery and verification of
 data across a network of computers of different kinds.
 .
 This package provides files that are useful for other Bacula packages
 for the MySQL database.

Package: bacula-director
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: bacula-common (= ${binary:Version}),
         bacula-director-pgsql (= ${source:Version}) | bacula-director-mysql (= ${source:Version}) | bacula-director-sqlite3 (= ${source:Version}),
         bsd-mailx | mailx,
         lsb-base (>= 3.0-6),
         ucf,
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: bacula-doc
Replaces: bacula-director-mysql (<< 7.4.3+dfsg-7),
          bacula-director-pgsql (<< 7.4.3+dfsg-7),
          bacula-director-sqlite3 (<< 7.4.3+dfsg-7)
Breaks: bacula-director-mysql (<< 7.4.3+dfsg-7),
        bacula-director-pgsql (<< 7.4.3+dfsg-7),
        bacula-director-sqlite3 (<< 7.4.3+dfsg-7)
Description: network backup service - Director daemon
 Bacula is a set of programs to manage backup, recovery and verification of
 data across a network of computers of different kinds.
 .
 The Bacula Director service supervises all the backup, restore, verify and
 archive operations. It can run as a daemon or as a foreground service which
 administrators can use to schedule backups and recover files.
 .
 This package provides the Bacula Director daemon.

Package: bacula-director-sqlite3
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends: bacula-common-sqlite3 (<< ${source:Version}.1~),
         bacula-common-sqlite3 (>= ${source:Version}),
         dbconfig-sqlite3 | dbconfig-no-thanks,
         file,
         sqlite3,
         ${misc:Depends}
Conflicts: bacula-director-database
Provides: bacula-director-database
Replaces: bacula-director-database
Suggests: gawk, ${perl:Depends}
Description: network backup service - SQLite 3 storage for Director
 Bacula is a set of programs to manage backup, recovery and verification of
 data across a network of computers of different kinds.
 .
 The Bacula Director service supervises all the backup, restore, verify and
 archive operations. It can run as a daemon or as a foreground service which
 administrators can use to schedule backups and recover files.
 .
 This package stores Bacula's catalog in an SQLite 3 database and thus is
 only suitable for small or test installations.
 .
 Please be aware that using SQLite 3 databases is no longer supported
 by the author.

Package: bacula-director-mysql
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends: bacula-common-mysql (<< ${source:Version}.1~),
         bacula-common-mysql (>= ${source:Version}),
         dbconfig-mysql | dbconfig-no-thanks,
         default-mysql-client | virtual-mysql-client,
         ${misc:Depends}
Conflicts: bacula-director-database
Provides: bacula-director-database
Replaces: bacula-director-database
Recommends: default-mysql-server | virtual-mysql-server
Suggests: gawk, ${perl:Depends}
Description: network backup service - MySQL storage for Director
 Bacula is a set of programs to manage backup, recovery and verification of
 data across a network of computers of different kinds.
 .
 The Bacula Director service supervises all the backup, restore, verify and
 archive operations. It can run as a daemon or as a foreground service which
 administrators can use to schedule backups and recover files.
 .
 This package stores Bacula's catalog in a MySQL database and thus is
 suitable for medium-sized installations.

Package: bacula-director-pgsql
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends: bacula-common-pgsql (<< ${source:Version}.1~),
         bacula-common-pgsql (>= ${source:Version}),
         dbconfig-pgsql | dbconfig-no-thanks,
         postgresql-client (>= 7.4),
         ${misc:Depends}
Conflicts: bacula-director-database
Provides: bacula-director-database
Replaces: bacula-director-database
Recommends: postgresql (>= 7.4)
Suggests: gawk, ${perl:Depends}
Description: network backup service - PostgreSQL storage for Director
 Bacula is a set of programs to manage backup, recovery and verification of
 data across a network of computers of different kinds.
 .
 The Bacula Director service supervises all the backup, restore, verify and
 archive operations. It can run as a daemon or as a foreground service which
 administrators can use to schedule backups and recover files.
 .
 This package stores Bacula's catalog in a PostgreSQL database and thus is
 suited for large installations.

Package: bacula-client
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends: bacula-console (>= ${source:Version}),
         bacula-fd (>= ${source:Version}),
         ${misc:Depends}
Description: network backup service - client metapackage
 Bacula is a set of programs to manage backup, recovery and verification of
 data across a network of computers of different kinds.
 .
 The Bacula Director service supervises all the backup, restore, verify and
 archive operations. It can run as a daemon or as a foreground service which
 administrators can use to schedule backups and recover files.
 .
 The package is a metapackage for client installations (file daemon and
 console only).

Package: bacula-fd
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: bacula-common (= ${binary:Version}),
         lsb-base (>= 3.0-6),
         ucf,
         ${misc:Depends},
         ${shlibs:Depends}
Description: network backup service - file daemon
 Bacula is a set of programs to manage backup, recovery and verification of
 data across a network of computers of different kinds.
 .
 The file daemon has to be installed on the machine to be backed up. It is
 responsible for providing the file attributes and data when requested by
 the Director and also for the file system-dependent part of restoration.

Package: bacula-server
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends: bacula-bscan (>= ${source:Version}),
         bacula-director (>= ${source:Version}),
         bacula-sd (>= ${source:Version}),
         ${misc:Depends}
Recommends: bacula-fd
Description: network backup service - server metapackage
 Bacula is a set of programs to manage backup, recovery and verification of
 data across a network of computers of different kinds.
 .
 This metapackage provides a standard server install, consisting of the
 director and storage daemons.

Package: bacula-sd
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: bacula-common (= ${binary:Version}),
         lsb-base (>= 3.0-6),
         mtx [!hurd-any],
         ucf,
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: bacula-sd-mysql (<< 7.4.3+dfsg-3),
          bacula-sd-pgsql (<< 7.4.3+dfsg-3),
          bacula-sd-sqlite3 (<< 7.4.3+dfsg-3)
Breaks: bacula-sd-mysql (<< 7.4.3+dfsg-3),
        bacula-sd-pgsql (<< 7.4.3+dfsg-3),
        bacula-sd-sqlite3 (<< 7.4.3+dfsg-3)
Recommends: bacula-bscan, mt-st
Suggests: dds2tar, scsitools, sg3-utils
Description: network backup service - storage daemon
 Bacula is a set of programs to manage backup, recovery and verification of
 data across a network of computers of different kinds.
 .
 The storage daemon performs the storage and recovery of the file
 attributes and data to the physical media; in other words, it is
 responsible for reading and writing the backups.
 .
 It runs on the machine which has access to the backup device(s) - usually
 a tape drive, but alternatively other storage media, such as files.

Package: bacula-bscan
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: bacula-common-sqlite3 (= ${binary:Version}) | bacula-common-pgsql (= ${binary:Version}) | bacula-common-mysql (= ${binary:Version}),
         bacula-sd (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: bacula-sd-mysql (<< 7.4.3+dfsg-3),
          bacula-sd-pgsql (<< 7.4.3+dfsg-3),
          bacula-sd-sqlite3 (<< 7.4.3+dfsg-3)
Breaks: bacula-sd-mysql (<< 7.4.3+dfsg-3),
        bacula-sd-pgsql (<< 7.4.3+dfsg-3),
        bacula-sd-sqlite3 (<< 7.4.3+dfsg-3)
Description: network backup service - bscan tool
