=== debian/tests/control ===
Tests: backup-test, program-test
Restrictions: breaks-testbed needs-root allow-stderr
Depends: bacula, bacula-director-pgsql, postgresql

Tests: backup-test, program-test
Restrictions: breaks-testbed needs-root allow-stderr
Depends: bacula,
         bacula-director-mysql,
         default-mysql-server | virtual-mysql-server

Tests: backup-test, program-test
Restrictions: breaks-testbed needs-root allow-stderr
Depends: bacula, bacula-director-sqlite3
